# Kiểm tra danh sách đại lý

<mark style="color:green;">**`GET`**</mark> API Get MID

```
https://<vietqr-host>/<basepath>/api/mid/list-mid
```

**Headers**

<table><thead><tr><th width="283">Name</th><th>Value</th></tr></thead><tbody><tr><td>Content-Type</td><td><code>application/json</code></td></tr><tr><td>Authorization</td><td><code>Bearer &#x3C;token></code></td></tr></tbody></table>

**Body**

<table data-full-width="false"><thead><tr><th width="197">Name</th><th width="93">Type</th><th width="98">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>page</code></td><td>Integer</td><td>Optional</td><td>Giá trị trang muốn hiển thị.</td></tr><tr><td><code>size</code></td><td>Integer</td><td>Optional</td><td>Giá trị số item tối đa hiển thị của page.</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "metadata": {
        "page": 1,
        "size": 20,
        "totalPage": 1,
        "totalElement": 1
    },
    "data": [
        {
            "merchantIdentify": "MST/CCCD/ĐKKD",
            "mid": "ID_của_đại_lý",
            "merchantName": "tên_rút_gọn_đại_lý",
            "merchantFullName": "tên_đại_lý",
            "merchantAddress": "địa_chỉ_đại_lý",
            "contactEmail": "email_liên_hệ",
            "contactPhone": "điện_thoại_liên_hệ"
        }
    ]
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "status": "FAILED",
    "message": "mã_lỗi_và_mô_tả_lỗi"
}
```

{% endtab %}
{% endtabs %}

***

### Code mẫu

{% tabs %}
{% tab title="cURL" %}

```
curl --location 'https://api.vietqr.org/vqr/api/mid/list-mid?page=page_cần_chọn&size=số_record_cần_hiển_thị_trong_1_lần&mid=id_của_đại_lý' \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJhdXRob3JpdGllcyI6WyJST0xFX1VTRVIiXSwidXNlciI6IlkzVnpkRzl0WlhJdGJtZDFlV1Z1TFhWelpYSXlORGt5IiwiaWF0IjoxNzIxMzc1MTUyLCJleHAiOjE3MjEzNzU0NTJ9.M-Yfnvm_mZGVteqoZ4aLdN2m_7_c8BwUHnzHm0WPOMW5ayTk49HWLtpl562AdgS_BUBUAS0648BktOaGzy6h8Q' \
--header 'Cookie: JSESSIONID=483ACB24C22E803DCFB52C2D89CCB4B0'
```

{% endtab %}
{% endtabs %}

***

### Các câu hỏi thường gặp


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.vietqr.vn/korea/vietqr-xin-chao/api-vietqr-callback/dong-bo-thong-tin/kiem-tra-danh-sach-dai-ly.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
